Groovy 1.7.0

## org.codehaus.groovy.runtime.dgmimpl
Class NumberNumberPlus

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
                  org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod
                      org.codehaus.groovy.runtime.dgmimpl.NumberNumberPlus

    class NumberNumberPlus
    extends NumberNumberMetaMethod

Nested Class Summary
`class` | `NumberNumberPlus.DoubleDouble`
`class` | `NumberNumberPlus.DoubleFloat`
`class` | `NumberNumberPlus.DoubleInteger`
`class` | `NumberNumberPlus.DoubleLong`
`class` | `NumberNumberPlus.FloatDouble`
`class` | `NumberNumberPlus.FloatFloat`
`class` | `NumberNumberPlus.FloatInteger`
`class` | `NumberNumberPlus.FloatLong`
`class` | `NumberNumberPlus.IntegerDouble`
`class` | `NumberNumberPlus.IntegerFloat`
`class` | `NumberNumberPlus.IntegerInteger`
`class` | `NumberNumberPlus.IntegerLong`
`class` | `NumberNumberPlus.LongDouble`
`class` | `NumberNumberPlus.LongFloat`
`class` | `NumberNumberPlus.LongInteger`
`class` | `NumberNumberPlus.LongLong`

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`NumberNumberPlus()`

Method Summary
`CallSite` | `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`
`String` | `getName()`
`Object` | `invoke(Object object, Object[] arguments)`
`static Number` | `plus(Number left, Number right)` Add two numbers and return the result.

Methods inherited from class NumberNumberMetaMethod
getDeclaringClass, getModifiers, getReturnType

Methods inherited from class CallSiteAwareMetaMethod
createPojoCallSite

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### NumberNumberPlus

    NumberNumberPlus()

Method Detail

### createPojoCallSite

    public CallSite createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

### getName

    public String getName()

### invoke

    public Object invoke(Object object, Object[] arguments)

### plus

    public static Number plus(Number left, Number right)

  Add two numbers and return the result.
  param:
    left a Number
  param:
    right another Number to add
  return:
    the addition of both Numbers

Copyright © 2003-2009 The Codehaus. All rights reserved.